# Uses of Enum
org.apache.commons.math3.geometry.euclidean.threed.RotationConvention

Packages that use RotationConvention
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of RotationConvention in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return RotationConvention
Modifier and Type
Method
Description
`static RotationConvention`
RotationConvention.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RotationConvention[]`
RotationConvention.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type RotationConvention
Modifier and Type
Method
Description
`FieldRotation<T>`
FieldRotation.`compose(FieldRotation<T> r, RotationConvention convention)`
Compose the instance with another rotation.
`FieldRotation<T>`
FieldRotation.`compose(Rotation r, RotationConvention convention)`
Compose the instance with another rotation.
`Rotation`
Rotation.`compose(Rotation r, RotationConvention convention)`
Compose the instance with another rotation.
`FieldRotation<T>`
FieldRotation.`composeInverse(FieldRotation<T> r, RotationConvention convention)`
Compose the inverse of the instance with another rotation.
`FieldRotation<T>`
FieldRotation.`composeInverse(Rotation r, RotationConvention convention)`
Compose the inverse of the instance with another rotation.
`Rotation`
Rotation.`composeInverse(Rotation r, RotationConvention convention)`
Compose the inverse of the instance with another rotation.
`T[]`
FieldRotation.`getAngles(RotationOrder order, RotationConvention convention)`
Get the Cardan or Euler angles corresponding to the instance.
`double[]`
Rotation.`getAngles(RotationOrder order, RotationConvention convention)`
Get the Cardan or Euler angles corresponding to the instance.
`FieldVector3D<T>`
FieldRotation.`getAxis(RotationConvention convention)`
Get the normalized axis of the rotation.
`Vector3D`
Rotation.`getAxis(RotationConvention convention)`
Get the normalized axis of the rotation.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type RotationConvention
Modifier
Constructor
Description
``
`FieldRotation(FieldVector3D<T> axis, T angle, RotationConvention convention)`
Build a rotation from an axis and an angle.
``
`FieldRotation(RotationOrder order, RotationConvention convention, T alpha1, T alpha2, T alpha3)`
Build a rotation from three Cardan or Euler elementary rotations.
``
`Rotation(RotationOrder order, RotationConvention convention, double alpha1, double alpha2, double alpha3)`
Build a rotation from three Cardan or Euler elementary rotations.
``
`Rotation(Vector3D axis, double angle, RotationConvention convention)`
Build a rotation from an axis and an angle.